%define _unpackaged_files_terminate_build 1
%define _name anjuta
%define _libname libanjuta

%def_enable glade
%def_enable graphviz
%def_enable gtk_doc
%def_disable debug
%def_enable devhelp
%define ver_major 2.26

Name: anjuta2
Version: %ver_major.2.1
Release: alt0.M50.1

Summary: GNOME IDE for C and C++
Summary(be_BY.UTF-8):	Інтэграванае асяродзьдзе распрацоўкі для GNOME
Summary(ru_RU.UTF-8):	Интегрированная среда разработки для GNOME
Summary(uk_UA.UTF-8):	Інтеґроване середовище розробки для GNOME

Group: Development/GNOME and GTK+
License: %gpl2plus
Url: http://anjuta.org/
Packager: Alexey Rusakov <ktirf@altlinux.org>

Source: %_name-%version.tar
Patch3: %_name-2.0.2-fix-compile-with-nls.patch
#Patch4: %_name-2.3.1-alt-fix-anjuta-tags-location.patch
Patch5: %_name-2.24.1-fix-desktop-file.patch
Patch6: %_name-2.26.0.1-fix-underlinkage.patch
Patch7: %_name-2.26.0.1-fix-gbf-perl-paths.patch

Obsoletes: libanjuta

Requires: %name-core = %version-%release
Requires: %name-project-templates = %version-%release
Requires: %name-scintilla-properties = %version-%release
Requires: autogen >= 5.0

BuildRequires(pre): rpm-build-gnome rpm-build-licenses rpm-build-compat
# These are taken from configure.in. Comments refer to Anjuta 2.26.0.1
BuildRequires: gnome-doc-utils
%define glib_ver 2.16.0
BuildRequires: glib2-devel >= %glib_ver
BuildRequires: libgtk+2-devel >= 2.12.10
BuildRequires: ORBit2-devel >= 2.6.0
BuildRequires: libglade2-devel >= 2.3.0
# To backporters: sourceview plugin needs at least GNOME 2.14.
# Without this plugin, you can build with GNOME 2.12.
%define libgnome_ver 2.14.0
BuildRequires: libgnome-devel >= %libgnome_ver
BuildRequires: GConf libGConf-devel >= 2.12.0
BuildRequires: libvte-devel >= 0.9.0
BuildRequires: libxml2-devel >= 2.4.23
%{?_enable_devhelp:BuildRequires: libdevhelp-devel >= 0.22}
BuildRequires: libgdl-devel >= 2.26.0
%{?_enable_glade:BuildRequires: libgladeui-devel >= 3.6.0}
%{?_enable_graphviz:BuildRequires: graphviz-devel >= 1.0}
BuildRequires: libneon-devel >= 0.28.2
BuildRequires: libsubversion-devel >= 1.5.0
BuildRequires: libgtksourceview-devel >= 2.4.0
# This is for Valgrind plugin
%define binutils_ver 2.15.92
BuildRequires: libbfd-devel >= %binutils_ver
BuildRequires: libiberty-devel >= %binutils_ver

BuildRequires: libwnck-devel >= 2.12
BuildRequires: libgda4-devel >= 3.99.7
BuildRequires: libunique-devel >= 1.0.0

BuildRequires: libgio-devel >= %glib_ver
BuildRequires: libgnomeui-devel >= %libgnome_ver
BuildRequires: libxslt-devel
BuildRequires: autogen
BuildRequires: perl-Locale-gettext
%{?_enable_devhelp:BuildRequires: libwebkit-devel}

BuildRequires: intltool >= 0.35
BuildRequires: gtk-doc >= 1.4
# Requires of libaprutil1-devel are broken atm.
#BuildRequires: libldap-devel

BuildRequires: gnome-common desktop-file-utils gcc-c++
# We have some tools written in Perl, and perl-devel is needed to calculate
# dependencies of these tools.
BuildRequires: perl-devel
BuildRequires: libgnome-build

%description
Anjuta DevStudio is a versatile Integrated Development Environment (IDE)
for GNOME Desktop Environment. It features a number of advanced
programming facilities. These include project management, application and
class wizards, an on-board interactive debugger, a powerful source editor,
syntax highlighting, Intellisense-like autocompletion, symbol navigation,
integration with version control systems and a GUI designer, and other
tools.

%description -l be_BY.UTF-8
Anjuta -- шматфункцыянальнае інтэграванае асяродзьдзе распрацоўкі (IDE) для C і C++.
Яно напісана для GTK/GNOME і мае шмат адмысловых магчымасьцяў для праграмаваньня.
Фактычна гэта ёсьць графічным інтэрфэйсам да калекцыі уцілітаў ды інструмэнтаў, якія існуюць для GNU-сыстэмаў.

%description -l uk_UA.UTF-8
Anjuta -- багатофункціональне інтегроване середовище розробки (IDE) для C та C++.
Воно написане для GTK/GNOME та має багато потужних можливостей для програмування.
Фактично це графічний інтерфейс до колекції утиліт та інструментів, що існіють для GNU-систем.

%description -l ru_RU.UTF-8
Студия разработки "Анюта" -- многофункциональная интегрированная среда
разработки (IDE).  Она написана для среды GNOME и имеет развитые возможности, в
частности: работа с проектами, средства быстрого создания приложений и
отдельных классов, встроенный отладчик на базе GDB, мощный редактор исходного
кода (Scintilla) с подсветкой синтаксиса, автодополнением и навигацией по
проекту, интеграция с системами контроля версий и дизайнером интерфейса Glade.

%package core
Summary: Core part of Anjuta IDE
Group: Development/GNOME and GTK+
Conflicts: anjuta < 2.0
Obsoletes: libgnome-build <= 2.26

%description core
Anjuta DevStudio is a versatile Integrated Development Environment (IDE)
for GNOME Desktop Environment. It features a number of advanced
programming facilities. These include project management, application and
class wizards, an on-board interactive debugger, a powerful source editor,
syntax highlighting, Intellisense-like autocompletion, symbol navigation,
integration with version control systems and a GUI designer, and other
tools.

This package contains the core part of Anjuta IDE.

%package docs
Summary: User documentation on Anjuta IDE
Group: Development/GNOME and GTK+
BuildArch: noarch

%description docs
This package contains some user documentation (FAQ, manuals) on Anjuta IDE.

%description -l ru_RU.UTF-8 docs
Документация пользователя (частые вопросы, руководство) по среде разработки
"Анюта".

%package devel
Summary: Development files for Anjuta
Group: Development/Other
Requires: %name = %version-%release

%description devel
Libraries and header files necessary to develop and build Anjuta plugins.

%description -l ru_RU.UTF-8 devel
Библиотеки и заголовочные файлы для разработки и сборки плагинов к "Анюте".

%package devel-doc
Summary: Development documentation for Anjuta
Group: Development/Other
Requires: %name-devel = %version-%release
BuildArch: noarch

%description devel-doc
API documentation for development of Anjuta plugins.

%package cvs
Summary: CVS support in Anjuta
Group: Development/GNOME and GTK+
Requires: %name = %version-%release
Requires: cvs

%description cvs
CVS support plugin for Anjuta DevStudio IDE.

%description -l ru_RU.UTF-8 cvs
Плагин поддержки системы контроля версий CVS для студии разработки "Анюта".

%package subversion
Summary: Subversion support in Anjuta
Group: Development/GNOME and GTK+
Requires: %name-core = %version-%release

%description subversion
Subversion support plugin for Anjuta DevStudio IDE.

%description -l ru_RU.UTF-8 subversion
Плагин поддержки системы контроля версий Subversion для студии разработки "Анюта".

%package valgrind
Summary: Valgrind support in Anjuta
Group: Development/GNOME and GTK+
Requires: %name-core = %version-%release

%description valgrind
Valgrind support plugin for Anjuta DevStudio IDE.

%description -l ru_RU.UTF-8 valgrind
Поиск ошибок управления памятью при помощи Valgrind в студии разработки "Анюта".

%if_enabled glade
%package glade
Summary: Glade support in Anjuta
Group: Development/GNOME and GTK+
Requires: %name = %version-%release

%description glade
Valgrind support plugin for Anjuta DevStudio IDE.

%description -l ru_RU.UTF-8 glade
Поддержка дизайнера интерфейсов Glade в студии разработки "Анюта".
%endif

%if_enabled devhelp
%package devhelp
Summary: DevHelp integration plugin for Anjuta
Group: Development/GNOME and GTK+
Requires: %name = %version-%release

%description devhelp
This plugin lets you run DevHelp from inside Anjuta.

%description -l ru_RU.UTF-8 devhelp
Плагин для "Анюты", позволяющий запускать программу просмотра документации
разработчика DevHelp.
%endif

%if_enabled graphviz
%package class-inheritance
Summary: Class inheritance diagram for Anjuta
Group: Development/GNOME and GTK+
Requires: %name = %version-%release

%description class-inheritance
Class inheritance diagram plugin for Anjuta DevStudio IDE.

%description -l ru_RU.UTF-8 class-inheritance
Плагин для "Анюты", строящий диаграмму наследования классов.
%endif

%package project-templates
Summary: Project templates for Anjuta
Group: Development/GNOME and GTK+
Requires: %name-core = %version-%release
BuildArch: noarch

%description project-templates
Project templates for Anjuta DevStudio IDE. You really need this package,
if you are ever going to start a new project from scratch in Anjuta.

%description -l ru_RU.UTF-8 project-templates
Шаблоны проектов для среды разработки "Анюта". Если Вы собираетесь
создавать новые проекты в "Анюте", Вам нужен этот пакет.

%package scintilla-properties
Summary: Editor properties for Anjuta
Group: Development/GNOME and GTK+
Requires: %name-core = %version-%release
BuildArch: noarch

%description scintilla-properties
Scintilla editor properties for Anjuta. This is an essential package if you
use Scintilla plugin for Anjuta IDE.

%description -l ru_RU.UTF-8 scintilla-properties
Настройки редактора для различных языков программирования. Этот
пакет необходим для работы среды разработки "Анюта".

%define anjuta_libdir %_libdir/%_name
%define anjuta_datadir %_datadir/%_name
%define anjuta_pixmapsdir %_pixmapsdir/%_name

%prep
%setup -q -n %_name-%version
%__subst 's|update-mime-database .*;|	echo;|' mime/Makefile.am
%patch3
#patch4
%patch5 -p0 -b .fix-desktop-file
%patch6 -p0 -b .fix-underlinkage
%patch7 -p0 -b .fix-gbf-perl-paths

%build
rm -f missing

# Due to a broken Subversion configuration, we have to provide missing
# parts ourselves.
export CFLAGS="$CFLAGS `pkg-config --cflags apr-util-1`"
export LDFLAGS="$LDFLAGS `pkg-config --libs apr-util-1`"

NOCONFIGURE=1 ./autogen.sh
%configure \
    --disable-static \
    --disable-schemas-install \
    --disable-scrollkeeper \
    --disable-update-mime-database \
    %{?_disable_devhelp:--disable-plugin-devhelp} \
    %{?_enable_glade:--enable-plugin-glade} \
    %{subst_enable graphviz} \
    --enable-plugin-sourceview \
    --enable-plugin-scintilla \
    --enable-plugin-valgrind \
    --enable-plugin-subversion \
    %{subst_enable debug} \
    %{?_disable_debug:--enable-final} \
    %{?_disable_debug:--enable-optimize} \
    %{?_enable_gtk_doc:--enable-gtk-doc}

%make_build

%install
%make_install DESTDIR=%buildroot install

# make a link in %_pixmapsdir (Bug #6995)
pushd %buildroot%_pixmapsdir
ln -sf %_name/%_name.png %name.png
popd

# make a link in %_bindir for backwards compatibility
pushd %buildroot%_bindir
ln -sf %_name %name
popd

%find_lang --with-gnome %_name

bzip2 -fk9 ChangeLog

%add_findprov_lib_path %anjuta_libdir
# These are not real Python scripts, only templates
%add_findreq_skiplist %anjuta_datadir/project/python/src/*.py

%define schemas anjuta anjuta-build-basic-autotools-plugin anjuta-document-manager anjuta-editor-sourceview anjuta-language-cpp-java anjuta-message-manager-plugin anjuta-symbol-db anjuta-terminal-plugin

%post core
%gconf2_install %schemas

%preun core
if [ $1 = 0 ]; then
    %gconf2_uninstall %schemas
fi

%post cvs
%gconf2_install %_name-cvs-plugin

%preun cvs
if [ $1 = 0 ]; then
    %gconf2_uninstall %_name-cvs-plugin
fi

%post valgrind
%gconf2_install %_name-valgrind

%preun valgrind
if [ $1 = 0 ]; then
    %gconf2_uninstall %_name-valgrind
fi

%files
# %name is a virtual package, the main part of Anjuta now resides in
# %name-core

%files -f %_name.lang core
%_bindir/*

%dir %anjuta_libdir
%_libdir/%{_libname}*.so.*
%anjuta_libdir/*
%exclude %anjuta_libdir/*.la
# Excluding parts that go to subpackages
%exclude %anjuta_libdir/*cvs*
%exclude %anjuta_libdir/*subversion*
%exclude %anjuta_libdir/*valgrind*
%{?_enable_glade:%exclude %anjuta_libdir/*glade*}
%{?_enable_devhelp:%exclude %anjuta_libdir/*devhelp*}
%{?_enable_graphviz:%exclude %anjuta_libdir/*class-inheritance*}

%dir %anjuta_datadir
%anjuta_datadir/welcome.txt
%anjuta_datadir/layout.xml
%anjuta_datadir/macros.xml
%anjuta_datadir/languages.xml
%anjuta_datadir/class-templates
%anjuta_datadir/build
%dir %anjuta_datadir/profiles
%anjuta_datadir/profiles/*
%dir %anjuta_datadir/gtodo
%anjuta_datadir/gtodo/*
%dir %anjuta_datadir/GBF
%anjuta_datadir/GBF/*.pm
%anjuta_datadir/gdb.init
%anjuta_datadir/tables.sql
#dir %anjuta_datadir/scripts
#anjuta_datadir/scripts/create_global_tags.sh

%dir %anjuta_datadir/glade
%anjuta_datadir/glade/*.png
%anjuta_datadir/glade/*.glade
%anjuta_datadir/glade/%_name-project-wizard.ui
%exclude %anjuta_datadir/glade/*cvs*.glade
%exclude %anjuta_datadir/glade/*subversion*.glade
%exclude %anjuta_datadir/glade/*valgrind*.glade

%dir %anjuta_datadir/tools
%anjuta_datadir/tools/*

%dir %anjuta_datadir/ui
%anjuta_datadir/ui/*.ui
%exclude %anjuta_datadir/ui/*cvs*.ui
%exclude %anjuta_datadir/ui/*subversion*.ui
%exclude %anjuta_datadir/ui/*valgrind*.ui
%{?_enable_glade:%exclude %anjuta_datadir/ui/*glade*.ui}
%{?_enable_devhelp:%exclude %anjuta_datadir/ui/*devhelp*.ui}

%dir %anjuta_datadir/project
%anjuta_datadir/project/minimal
%anjuta_datadir/project/minimal.wiz

%gconf_schemasdir/anjuta.schemas
%gconf_schemasdir/anjuta-*-autotools-*.schemas
%gconf_schemasdir/anjuta-editor-*.schemas
%gconf_schemasdir/anjuta-document-manager.schemas
%gconf_schemasdir/anjuta-language-*.schemas
%gconf_schemasdir/anjuta-message-manager-plugin.schemas
%gconf_schemasdir/anjuta-symbol-db.schemas
%gconf_schemasdir/anjuta-terminal-plugin.schemas

%_liconsdir/anjuta.png
%_iconsdir/hicolor/scalable/apps/anjuta.svg
%_iconsdir/gnome/*/*/*
%_pixmapsdir/%name.png
%anjuta_pixmapsdir/*
%exclude %anjuta_pixmapsdir/*cvs*
%exclude %anjuta_pixmapsdir/*subversion*
%exclude %anjuta_pixmapsdir/*valgrind*
%{?_enable_glade:%exclude %anjuta_pixmapsdir/*glade*}
%{?_enable_devhelp:%exclude %anjuta_pixmapsdir/*devhelp*}
%{?_enable_graphviz:%exclude %anjuta_pixmapsdir/*class-inheritance*}

%_desktopdir/%_name.desktop
%_datadir/mime/packages/*

%_man1dir/*
%doc AUTHORS COPYING ChangeLog.bz2 NEWS README THANKS TODO FUTURE ROADMAP
%doc doc/ScintillaDoc.html
# We already have this file in a more proper place.
%exclude %anjuta_datadir/AUTHORS

%files docs
# Strange enough that these are not harvested with find-lang
%gnomehelpdir/%_name-*
%_omfdir/%_name-manual/%_name-manual-*.omf

%files devel
%_includedir/*
%_pkgconfigdir/*.pc
%_libdir/%{_libname}*.so

%files devel-doc
%gtk_docdir/%{_libname}

%files cvs
%anjuta_libdir/*cvs*
%exclude %anjuta_libdir/lib*.la
%anjuta_datadir/glade/%_name-cvs-plugin.glade
%anjuta_datadir/ui/*cvs*.ui
%gconf_schemasdir/anjuta-cvs-plugin.schemas
%anjuta_pixmapsdir/*cvs*

%files subversion
%anjuta_libdir/*subversion*
%exclude %anjuta_libdir/lib*.la
%anjuta_datadir/glade/%_name-subversion.glade
%anjuta_datadir/ui/*subversion*.ui
%anjuta_pixmapsdir/*subversion*

%files valgrind
%anjuta_libdir/*valgrind*
%exclude %anjuta_libdir/lib*.la
%gconf_schemasdir/%_name-valgrind.schemas
%anjuta_datadir/ui/*valgrind*.ui
%anjuta_pixmapsdir/*valgrind*

%if_enabled glade
%files glade
%anjuta_libdir/*glade*
%exclude %anjuta_libdir/lib*.la
%anjuta_datadir/ui/*glade*.ui
%_libdir/glade3/modules/libgladeanjuta.so
%_datadir/glade3/catalogs/anjuta-glade.xml
%exclude %_libdir/glade3/modules/*.la
%anjuta_pixmapsdir/*glade*
%endif

%if_enabled devhelp
%files devhelp
%anjuta_libdir/*devhelp*
%_pixmapsdir/%_name/*devhelp*
%exclude %anjuta_libdir/lib*.la
%exclude %anjuta_pixmapsdir/*devhelp*
%endif

%if_enabled graphviz
%files class-inheritance
%anjuta_libdir/*class-inheritance*
%exclude %anjuta_libdir/lib*.la
%exclude %anjuta_pixmapsdir/*class-inheritance*
%endif

%files project-templates
%anjuta_datadir/anjuta_project.template
%dir %anjuta_datadir/project
%anjuta_datadir/project/*
%exclude %anjuta_datadir/project/minimal
%exclude %anjuta_datadir/project/minimal.wiz

%files scintilla-properties
%dir %anjuta_datadir/properties
%anjuta_datadir/properties/*

%exclude %_docdir/%_name

%changelog
* Mon Jun 22 2009 Alexey Rusakov <ktirf@altlinux.org> 2.26.2.1-alt0.M50.1
- New version (2.26.2.1).
- BuildPreReq replaced with BuildRequires(pre) for rpm-build- packages.
- Moved 'Obsoletes: libgnome-build' to -core subpackage to avoid file
  conflicts when dist-upgrading without anjuta2 package installed.

* Wed Jun 10 2009 Alexey Rusakov <ktirf@altlinux.org> 2.26.2-alt2.M50.1
- Backported to Branch 5.0 (closing ALT Bug 20393).

* Wed Jun 10 2009 Alexey Rusakov <ktirf@altlinux.org> 2.26.2-alt3
- Updated from stable git branch (incl. Ukranian translation).
- Switched DevHelp and class inheritance plugins back on.

* Tue Jun 02 2009 Alexey Rusakov <ktirf@altlinux.org> 2.26.2-alt2.1
- Rebuild with new libvte.

* Tue May 26 2009 Alexey Rusakov <ktirf@altlinux.org> 2.26.2-alt2
- Merged with ldv's rebuild of 2.26.0.1.

* Tue May 26 2009 Alexey Rusakov <ktirf@altlinux.org> 2.26.2-alt1
- New version (2.26.2).
- Moved to git.
- Fixed building with Automake 1.11 (multiple install targets issue).

* Fri May 01 2009 Dmitry V. Levin <ldv@altlinux.org> 2.26.0.1-alt2.1
- NMU: rebuilt with libbfd-2.19.51.0.2.so.

* Thu Apr 16 2009 Alexey Rusakov <ktirf@altlinux.org> 2.26.0.1-alt2
- Temporarily disabled devhelp plugin (to allow a new libwebkit to pass to
  Sisyphus).

* Fri Apr 10 2009 Alexey Rusakov <ktirf@altlinux.org> 2.26.0.1-alt1
- New version (2.26.0.1).
- %name-docs subpackage is made noarch (thanks to repocop for a reminder).
- Enabled building DevHelp plugin back.
- Enabled building gtk-doc files.
- Build libgda4 plugin unconditionally (upstream no more gives an option).
- Disabled Graphviz plugin temporarily.
- Updated buildreqs, files list.
- Bzipped the ChangeLog (thanks to repocop for a hint).
- Added a patch to fix underlinkage in several places (GNOME Bug 578690).
- gnome-build module has been merged into Anjuta codebase.
- Fixed a bug that rendered anjuta2-core unable to install without
  anjuta2-cvs.

* Mon Dec 22 2008 Alexey Rusakov <ktirf@altlinux.org> 2.24.2-alt5
- Moved user documentation from -core to a separate package (-docs).
- Now anjuta2-core, not anjuta2, conflicts with Anjuta 1 (thanks to repocop
  for a hint).

* Thu Dec 18 2008 Alexey Rusakov <ktirf@altlinux.org> 2.24.2-alt4
- Fixed the conflict with Anjuta 1, fixing ALT Bug 18242.

* Mon Dec 15 2008 Alexey Rusakov <ktirf@altlinux.org> 2.24.2-alt3
- Merged in changes of aris@ that were accidentally overwritten.

* Mon Dec 15 2008 Alexey Rusakov <ktirf@altlinux.org> 2.24.2-alt2
- Fix .desktop file (thanks to repocop).
- Throw .la files from all packages.
- Switched on building with SMP.
- Fixed up dependencies of subpackages (s/%name/%name-core/).
- Updated buildreqs.
- Development documentation has moved from -devel to -devel-doc, thus
  fixing repocop whining about big /usr/share in arch-dependent package.
- Moved plugin-related pixmaps to corresponding subpackages.

* Sun Dec 14 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.2-alt1
- new version
- removed obsolete %%post{,un} scripts
- added lost postun/preun scripts for schemas {un,}install, updated reqs
- don't rebuilt documentation
- temporarily disabled devhelp plugin -- not ready for devhelp-0.22

* Mon Nov 10 2008 Alexey Rusakov <ktirf@altlinux.org> 2.24.1-alt1
- New version (2.24.1).
- Moved project templates and Scintilla editor properties (second largest
  noarch parts of anjuta2 package) to a separate noarch package.
- Added Packager tag.
- Added a workaround for missing Subversion configuration tools
  (svn-config or a .pc file).
- %name is now a virtual package, files moved to %name-core. Expect
  further moving of files out of -core to separate plugin subpackages.

* Wed Jun 18 2008 Alexey Rusakov <ktirf@altlinux.org> 2.4.2-alt1
- New version (2.4.2).
- Dropped the patch for anjuta-tags location (fixed upstream).
- Added BuildRequires on libldap-devel as a temporary workaround.

* Thu Apr 10 2008 Igor Vlasenko <viy@altlinux.ru> 2.3.1-alt1.qa1
- NMU (by repocop), the following fixes applied:
 * update_menus for anjuta2

* Wed Dec 26 2007 Alexey Rusakov <ktirf@altlinux.org> 2.3.1-alt1
- New version (2.3.1).
- No need in autogen-devel, autogen is enough.
- Use license macro.
- Fix location of anjuta-tags (it goes to /usr/share, being an ELF binary).
- Removed a workaround for PKG_PATH in configure.in.
- Updated the files list.

* Mon Nov 05 2007 Alexey Rusakov <ktirf@altlinux.org> 2.3.0-alt1
- New version (2.3.0).
- Added (disabled) switch for libgda-3.0 for symbol DB plugin. There's no
  libgda3 in Sisyphus yet however, and there's no subpackage for this
  plugin either.

* Fri Oct 26 2007 Alexey Rusakov <ktirf@altlinux.org> 2.2.2-alt1
- new version (2.2.2)
- updated dependencies

* Sat Sep 22 2007 Alexey Rusakov <ktirf@altlinux.org> 2.2.1-alt1.1
- Rebuilt with new libgladeui.

* Fri Sep 07 2007 Alexey Rusakov <ktirf@altlinux.org> 2.2.1-alt1
- new version 2.2.1 (with rpmrb script)

* Wed Sep 05 2007 Alexey Rusakov <ktirf@altlinux.org> 2.2.0-alt1.1
- rebuild with new libgnome-build.

* Sun Jul 01 2007 Alexey Rusakov <ktirf@altlinux.org> 2.2.0-alt1
- new version (2.2.0)
- since Anjuta 1.2 and Anjuta 2 can't exist together, the executable's name
  from now on is anjuta, the former anjuta2 is a symlink to anjuta for legacy.
- added a workaround for incorrect usage of PKG_PATH macro in configure.in

* Mon May 21 2007 Alexey Rusakov <ktirf@altlinux.org> 2.1.3-alt2
- fixed typos (ALT Bug #11829)

* Fri May 11 2007 Alexey Rusakov <ktirf@altlinux.org> 2.1.3-alt1
- new version (2.1.3)
- updated dependencies
- linking patch from GNOME Bug #424121 went upstream.

* Mon May 07 2007 Alexey Rusakov <ktirf@altlinux.org> 2.1.2-alt2
- tell rpm-build that we have library dependencies in %%_libdir/anjuta
  (thanks to ldv@).

* Tue Apr 03 2007 Alexey Rusakov <ktirf@altlinux.org> 2.1.2-alt1
- new version (2.1.2)
- updated dependencies
- removed the clumsy workaround that once allowed anjuta 1.2 and anjuta 2 to
  co-exist - it's no more working, and for some time. Anjuta 1.2 stays in the
  repository, however, so the package name stays anjuta2.
- updated the patch that fixes linking, with the one proposed in
  GNOME Bug #424121
- enabled Glade3 plugin and (this time, for real) Valgrind plugin.
- forbid unpackaged files, updated files list.

* Mon Jan 22 2007 Alexey Rusakov <ktirf@altlinux.org> 2.0.2-alt2
- removed many Requires on library packages, let them be generated.
- dropped explicit dependency on libneon[-devel], because now we have several
  libneon-devel packages in Sisyphus, and subversion depends on another version
  than the one mentioned in this specfile. Better let subversion-devel choose
  appropriate libneon-devel.
- spec cleanup, updated buildreqs

* Wed May 17 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.0.2-alt1
- new version (2.0.2)
- fixed linking (thanks to damir@ for the patch)
- updated dependencies.
- class-inheritance plugin has been made optional ('graphviz' switch) and
  is disabled (waiting for Graphviz 2.6 to reach Sisyphus).

* Sun Apr 16 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.0.1-alt6
- added 'debug' switch.
- fixed crashing on start.

* Mon Apr 10 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.0.1-alt5
- fixed linking with --as-needed

* Sat Mar 04 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.0.1-alt4
- Updated buildreqs for X.org 7.0
- Removed Debian menu support
- Spec cleanup
- fixed double inclusion of subversion and class-inheritance plugins.

* Thu Oct 06 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.0.1-alt3
- Fixed Requires.

* Mon Oct 03 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.0.1-alt2
- Updated from CVS, fixing Bug #8077.
- Updated requirements from configure.in
- Urlified the source tag to favor etersoft-build-utils.

* Thu Jun 30 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.0.1-alt1
- New upstream version.
- Removed excess dependencies from the spec.

* Sat Jun 04 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.0.0-alt3
- Updated from CVS.
- Fixed Bug #6995.

* Sun May 22 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.0.0-alt2
- Sources updated from CVS.
- Several fixes and improvements in the spec (including Bug #6873).

* Fri May 13 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.0.0-alt1
- 2.0.0 release.
- The temporary name of the package is anjuta2 (this concerns all binaries
  and directories, but not libanjuta), to let anjuta-1.2 and anjuta-2.0
  coexist.

* Tue Feb 22 2005 Vladimir Lettiev <crux@altlinux.ru> 1.2.2-alt6
- version from cvs (2005-02-22)
- a lot of changes in spec

* Fri Jul 23 2004 Vital Khilko <vk@altlinux.ru> 1.2.2-alt5
- added icon for Anjuta submenu
- move anjuta_updatetags, tm_globals_tags to /usr/lib/anjuta
- remove /var/cache/anjuta only when package removed (not upgraded)

* Thu Jul 15 2004 Vital Khilko <vk@altlinux.ru> 1.2.2-alt4
- apply --disable-static to configure.
- do not list /usr/share/locale, /usr/share/omf/* and 
  /usr/share/gnome/help/* in %files (find-lang --with-gnome 
  treat these directories to find language specific files).
- use freedesktop2menu.pl to create menu file.
  Remove unusual icons from src.rpm
- remove unusual requires.
- updated buildreqs.
- other minor fixes, cleanups and .spec optimizatiions.
- fix #4766 (patch1)

* Thu May 20 2004 Vital Khilko <vk@altlinux.ru> 1.2.2-alt3
- minor fixes

* Wed Apr 28 2004 Vital Khilko <vk@altlinux.ru> 1.2.2-alt2
- fixed #3944

* Thu Apr 15 2004 Vital Khilko <vk@altlinux.ru> 1.2.2-alt1
- new version
- added menu entry

* Mon Feb 16 2004 Vital Khilko <vk@altlinux.ru> 1.2.1-alt1
- new version
- added ru, be, uk package description

* Sat Apr 12 2003 Alex Murygin <murygin@altlinux.ru> 1.0.2-alt2
- Added libanjuta obsoletes
- added icon in menu entry

* Mon Mar 31 2003 Alex Murygin <murygin@altlinux.ru> 1.0.2-alt1
- New version

* Tue Jan 21 2003 Stanislav Ievlev <inger@altlinux.ru> 0.1.9-alt2
- made rebuildable

* Tue Dec 18 2001 Stanislav Ievlev <inger@altlinux.ru> 0.1.8-alt1
- 0.1.8

* Thu Sep  6 2001 Stanislav Ievlev <inger@altlinux.ru> 0.1.7-alt1
- 0.1.7

* Mon Aug 13 2001 Stanislav Ievlev <inger@altlinux.ru> 0.1.6-alt1
- 0.1.6

* Fri Jul 27 2001 Stanislav Ievlev <inger@altlinux.ru> 0.1.5-alt2
- Update URLs

* Mon Jul  9 2001 Stanislav Ievlev <inger@altlinux.ru> 0.1.5-alt1
- 0.1.5

* Thu Jun 14 2001 Stanislav Ievlev <inger@altlinux.ru> 0.1.4-alt1
- 0.1.4

* Sat Jan 20 2001 AEN <aen@logic.ru>
- RE adaptation
- 1.1.2

* Thu Jan  4 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.1-2mdk
- new url

* Thu Nov  2 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.1-1mdk
- new in contribs
